Debian Bug report logs - #482425
xwindows can not be started after xinit 1.0.9-1 has been installed

version graph

Package: xinit; Maintainer for xinit is Debian X Strike Force <debian-x@lists.debian.org>; Source for xinit is src:xinit.

Reported by: Anders Lagerås <anders.lageras@gmail.com>

Date: Thu, 22 May 2008 17:42:02 UTC

Severity: grave

Tags: confirmed, upstream

Merged with 482527, 483486

Found in versions xinit/1.0.8-1, xinit/1.0.9-1

Fixed in version xinit/1.0.9-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Anders Lagerås <anders.lageras@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anders Lagerås <anders.lageras@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xwindows can not be started after xinit 1.0.9-1 has been installed
Date: Thu, 22 May 2008 19:36:59 +0200
Package: xinit
Version: 1.0.8-1
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It is complaining about an unknown option.

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (995, 'unstable'), (700, 'testing'), (600, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=sv_SE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages xinit depends on:
ii  cpp                           4:4.2.3-9  The GNU C preprocessor (cpp)
ii  libc6                         2.7-11     GNU C Library: Shared libraries
ii  libx11-6                      2:1.0.3-7  X11 client-side library

xinit recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFINa87w5UvgfnzqGoRAh6LAJ98k7ZMDRVuKNmImG6uQoHrtCPxeACgw/j/
YfjR+MXH3c39oxRxCJS4N14=
=TkvK
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 482425@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Anders Lagerås <anders.lageras@gmail.com>, 482425@bugs.debian.org
Subject: Re: Bug#482425: xwindows can not be started after xinit 1.0.9-1 has been installed
Date: Thu, 22 May 2008 20:03:13 +0200
On Thu, May 22, 2008 at 19:36:59 +0200, Anders Lagerås wrote:

> Package: xinit
> Version: 1.0.8-1
> Severity: important
> 
> It is complaining about an unknown option.
> 
It works for me, so you'll have to be a bit more verbose about the exact
error.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Anders Lagerås <anders.lageras@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 482425@bugs.debian.org (full text, mbox):

From: Anders Lagerås <anders.lageras@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 482425@bugs.debian.org
Subject: Re: Bug#482425: xwindows can not be started after xinit 1.0.9-1 has been installed
Date: Thu, 22 May 2008 20:53:23 +0200
[Message part 1 (text/plain, inline)]
On Thu, 22 May 2008 20:03:13 +0200
Julien Cristau <jcristau@debian.org> wrote:

> On Thu, May 22, 2008 at 19:36:59 +0200, Anders Lagerås wrote:
> 
> > Package: xinit
> > Version: 1.0.8-1
> > Severity: important
> > 
> > It is complaining about an unknown option.
> > 
> It works for me, so you'll have to be a bit more verbose about the
> exact error.
Unknown option in /etc/X11/xinit/xserverrc

What is in that file is this:
#!/bin/sh
# $Id: xserverrc 189 2005-06-11 00:04:27Z branden $
exec /usr/bin/X11/X -dpi 96 -nolisten tcp


-- 
Mvh Anders Lagerås
[Message part 2 (application/pgp-signature, inline)]

Severity set to `grave' from `important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 22 May 2008 19:12:04 GMT) Full text and rfc822 format available.

Tags added: confirmed, upstream Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 22 May 2008 19:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Steve Greenland <steveg@moregruel.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 482425@bugs.debian.org (full text, mbox):

From: Steve Greenland <steveg@moregruel.net>
To: 482425@bugs.debian.org
Subject: startx is borked
Date: Thu, 22 May 2008 16:15:31 -0500
I'm getting this too. It looks like startx is making the following
call:

xinit /etc/X11/xinit/xinitrc -- /usr/bin/X :0 /etc/X11/xinit/xserverrc -auth /tmp/serverauth.VhWXb27601


Comparing /usr/bin/startx from 1.0.8 to 1.0.9, I'd guess the
problem is this:

106,109c110,112
< 	server="$defaultserverargs"
< 
< 
< 
---
> 	server=$defaultserver
> 	serverargs=$defaultserverargs
> 	display=$defaultdisplay

combined with the badly named "defaultserverargs" variable.

Steve

-- 
Steve Greenland
    The irony is that Bill Gates claims to be making a stable operating
    system and Linus Torvalds claims to be trying to take over the
    world.       -- seen on the net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 482425@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Steve Greenland <steveg@moregruel.net>, 482425@bugs.debian.org
Subject: Re: Bug#482425: startx is borked
Date: Thu, 22 May 2008 23:36:08 +0200
On Thu, May 22, 2008 at 16:15:31 -0500, Steve Greenland wrote:

> I'm getting this too. It looks like startx is making the following
> call:
> 
> xinit /etc/X11/xinit/xinitrc -- /usr/bin/X :0 /etc/X11/xinit/xserverrc -auth /tmp/serverauth.VhWXb27601
> 
> 
> Comparing /usr/bin/startx from 1.0.8 to 1.0.9, I'd guess the
> problem is this:
> 
> 106,109c110,112
> < 	server="$defaultserverargs"
> < 
> < 
> < 
> ---
> > 	server=$defaultserver
> > 	serverargs=$defaultserverargs
> > 	display=$defaultdisplay
> 
> combined with the badly named "defaultserverargs" variable.
> 
Yes, I reported that upstream.  If it's not fixed soon I'll revert the
broken apple commit.

Cheers,
Julien




Forcibly Merged 482425 482527. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 23 May 2008 10:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 482425@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Steve Greenland <steveg@moregruel.net>, 482425@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: startx is borked
Date: Fri, 23 May 2008 17:30:24 +0200
found 482425 xinit/1.0.9-1
thanks

On 2008-05-22 16:15:31 -0500, Steve Greenland wrote:
> I'm getting this too.

Me too, but only with 1.0.9-1. No problem with 1.0.8-1.

> Comparing /usr/bin/startx from 1.0.8 to 1.0.9, I'd guess the
                                 ^^^^^^^^^^^^^^
> problem is this:

Do you mean that the bug has been added to 1.0.9 (as I could see on
my machine)?

If so, why is this bug marked as found in xinit/1.0.8-1?

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)




Bug marked as found in version xinit/1.0.9-1. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. (Fri, 23 May 2008 15:33:06 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 1.0.8-1. Request was from Julien Cristau <jcristau@liafa.jussieu.fr> to control@bugs.debian.org. (Fri, 23 May 2008 15:54:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 482425@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vincent Lefevre <vincent@vinc17.org>, 482425@bugs.debian.org
Subject: Re: Bug#482425: startx is borked
Date: Fri, 23 May 2008 17:55:54 +0200
On Fri, May 23, 2008 at 17:30:24 +0200, Vincent Lefevre wrote:

> If so, why is this bug marked as found in xinit/1.0.8-1?
> 
Presumably because the submitter downgraded to get startx working again
before filing the bug.  Fixed now.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482425; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to Steve Greenland <steveg@moregruel.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 482425@bugs.debian.org (full text, mbox):

From: Steve Greenland <steveg@moregruel.net>
To: Vincent Lefevre <vincent@vinc17.org>
Cc: 482425@bugs.debian.org
Subject: Re: startx is borked
Date: Fri, 23 May 2008 12:22:14 -0500
On 23-May-08, 10:30 (CDT), Vincent Lefevre <vincent@vinc17.org> wrote: 
> found 482425 xinit/1.0.9-1
> thanks
> 
> On 2008-05-22 16:15:31 -0500, Steve Greenland wrote:
> 
> Do you mean that the bug has been added to 1.0.9 (as I could see on
> my machine)?

Yes. I reverted to the xinit 1.0.8 package, and it works fine, as
expected from the diff.

> If so, why is this bug marked as found in xinit/1.0.8-1?

Mistake?

Steve

-- 
Steve Greenland
    The irony is that Bill Gates claims to be making a stable operating
    system and Linus Torvalds claims to be trying to take over the
    world.       -- seen on the net




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Anders Lagerås <anders.lageras@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 482425-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 482425-close@bugs.debian.org
Subject: Bug#482425: fixed in xinit 1.0.9-2
Date: Wed, 28 May 2008 13:02:05 +0000
Source: xinit
Source-Version: 1.0.9-2

We believe that the bug you reported is fixed in the latest version of
xinit, which is due to be installed in the Debian FTP archive:

xinit_1.0.9-2.diff.gz
  to pool/main/x/xinit/xinit_1.0.9-2.diff.gz
xinit_1.0.9-2.dsc
  to pool/main/x/xinit/xinit_1.0.9-2.dsc
xinit_1.0.9-2_i386.deb
  to pool/main/x/xinit/xinit_1.0.9-2_i386.deb
xinit_1.0.9.orig.tar.gz
  to pool/main/x/xinit/xinit_1.0.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 482425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 May 2008 14:27:01 +0200
Source: xinit
Binary: xinit
Architecture: source i386
Version: 1.0.9-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xinit      - X server initialisation tool
Closes: 482425
Changes: 
 xinit (1.0.9-2) unstable; urgency=low
 .
   * Fix startx.  Patch from Jeremy Huddleston (closes: #482425).
Checksums-Sha1: 
 ccb59ccf491da714115074cbd7f958d2465effb7 1218 xinit_1.0.9-2.dsc
 0f0c5d5cd1fb1d45379b1a24e4fe2509b70d8473 167245 xinit_1.0.9.orig.tar.gz
 a21a79fe923f3201a7b00895bf753da2a6b3af09 25457 xinit_1.0.9-2.diff.gz
 40fe5ddec8c6b4369b29da914782205e7dcfd47e 31312 xinit_1.0.9-2_i386.deb
Checksums-Sha256: 
 b9f29718ce267cf43cc965de6c6d5d9ec6c016c6ea4e80750f91b7ee1660c28b 1218 xinit_1.0.9-2.dsc
 eb06e2de8620b9874f3fa3c1be449e6a478f2aff0d32acd9f234a75f6ececb9a 167245 xinit_1.0.9.orig.tar.gz
 6ad07c566a37427758d0ccc42f5c707908076aad8f0b9621c864ba5caa49d286 25457 xinit_1.0.9-2.diff.gz
 18ba29ce1ce7e65b0078ba3b9240fa50503d6b9e8bade7b4bf012046ab15f6e0 31312 xinit_1.0.9-2_i386.deb
Files: 
 977d8956a8a0da0269f1b96dd36cb1c4 1218 x11 optional xinit_1.0.9-2.dsc
 1c5a62fa6db7c5e317a513ef29ba145f 167245 x11 optional xinit_1.0.9.orig.tar.gz
 757fbb665a68c1fd62bbe20b0489b93c 25457 x11 optional xinit_1.0.9-2.diff.gz
 50b0f4b37a7da16252dfca1df7f524c3 31312 x11 optional xinit_1.0.9-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIPVZtmEvTgKxfcAwRAi/nAJ0SvOt7Nwl1awg2bw/2b7AEir6DkwCghE00
KNeeCojH7lpBkIClgFwrukA=
=FG1b
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Adam Bartley" <adam.bartley@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Forcibly Merged 482425 482527 483486. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Thu, 29 May 2008 07:48:30 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jul 2008 07:34:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:14:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.